Summary:	A generic IMAP server compliancy tester
Name:		imaptest
# Upstream is not really planning on adding version numbers
Version:	20141030
Release:	1%{?dist}
License:	MIT
Group:		Applications/Internet
URL:		http://www.imapwiki.org/ImapTest
Source0:	http://dovecot.org/nightly/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	dovecot-devel >= 2.2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
ImapTest is a generic IMAP server compliancy tester that works with all IMAP
servers. It supports stress testing with state tracking, scripted testing and
benchmarking. When stress testing with state tracking ImapTest sends random
commands to the server and verifies that server's output looks correct. Using
the scripted testing ImapTest runs a list of predefined scripted tests and
verifies that server returns expected output.

Examples and details are provided online at: http://www.imapwiki.org/ImapTest

%prep
%setup -q -n %{name}-1.0.0

# Workaround for https://bugzilla.redhat.com/show_bug.cgi?id=1103927#c4 (and later)
sed -e 's@\(^LIBDOVECOT .*\)@\1 -Wl,-rpath -Wl,%{_libdir}/dovecot@' -i src/Makefile.in

%build
%configure --with-dovecot=%{_libdir}/dovecot
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Copy test files for later shipping
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/
cp -pr src/tests/ $RPM_BUILD_ROOT%{_datadir}/%{name}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING.MIT profile.conf
%{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Fri Nov 07 2014 Robert Scheck <robert@fedoraproject.org> 20141030-1
- Upgrade to 20141030

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20140711-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 23 2014 Robert Scheck <robert@fedoraproject.org> 20140711-1
- Upgrade to 20140711

* Fri Jun 20 2014 Robert Scheck <robert@fedoraproject.org> 20140528-2
- Added workaround for missing rpath linking (#1103927 #c4)

* Tue Jun 03 2014 Robert Scheck <robert@fedoraproject.org> 20140528-1
- Upgrade to 20140528
- Initial spec file for Fedora and Red Hat Enterprise Linux
